BSL430.NET 1.2.1

Public Member Functions | List of all members
System.EntryPointNotFoundException Class Reference

The exception that is thrown when an attempt to load a class fails due to the absence of an entry method. More...

Inheritance diagram for System.EntryPointNotFoundException:

## Public Member Functions
| EntryPointNotFoundException ()
| Initializes a new instance of the EntryPointNotFoundException class. More...
| EntryPointNotFoundException (string message)
| Initializes a new instance of the EntryPointNotFoundException class. More...
| EntryPointNotFoundException (string message, Exception innerException)
| Initializes a new instance of the EntryPointNotFoundException class. More...

## Detailed Description

The exception that is thrown when an attempt to load a class fails due to the absence of an entry method.

This method is intended as a drop in replacement for the equivalent exception in .NET. Unfortunately, .NET Standard 1.6 and earlier do not contain this exception, even though P/Invoke on Windows certainly raises this exception.

## Constructor & Destructor Documentation

## ◆ EntryPointNotFoundException() [1/3]

System.EntryPointNotFoundException.EntryPointNotFoundException | ( |  | ) |

Initializes a new instance of the EntryPointNotFoundException class.

## ◆ EntryPointNotFoundException() [2/3]

System.EntryPointNotFoundException.EntryPointNotFoundException | ( | string | message | ) |

Initializes a new instance of the EntryPointNotFoundException class.

Parameters

  message | The message that describes the error.

## ◆ EntryPointNotFoundException() [3/3]

System.EntryPointNotFoundException.EntryPointNotFoundException | ( | string | message,
|  | Exception | innerException
| ) |  |

Initializes a new instance of the EntryPointNotFoundException class.

Parameters

  message | The error message that explains the reason for the exception.
  innerException | The exception that is the cause of the current exception, or a null reference (Nothing in Visual Basic) if no inner exception is specified.

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Library/serialportstream/2.1.4/src/netstandard/System/EntryPointNotFoundException.cs